
%global meadversion 7
%global namedversion 7-redhat-3
%global meadalpha .redhat_3
%global meadrel .1
%global serial 4
%global namedversionrel redhat-3

%bcond_without mead

%global projectversion 7
%global httpcoreversion 4.2.5
%global httpclientversion 4.2.6
%global httpasyncclientversion 4.0

%global projectnamedversion %{projectversion}-%{namedversionrel}
%global httpcorenamedversion %{httpcoreversion}.%{namedversionrel}
%global httpclientnamedversion %{httpclientversion}.%{namedversionrel}

%global httpasyncclientreltag .beta2
%global httpasyncclientrelease %{serial}%{?httpasyncclientreltag}%{meadalpha}%{meadrel}%{?dist}
%global httpasyncclientnamedreltag -beta2
%global httpasyncclientnamedversion %{httpasyncclientversion}%{?httpasyncclientnamedreltag}-%{namedversionrel}

%global javadir %{_javadir}/httpcomponents%{?eap}
%global eap -eap6

%define maven_version 7-redhat-3

Name:           httpcomponents%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Components to build HTTP enabled services
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: project-7-redhat-3-scm-sources.zip
Source101: project-7-redhat-3-patches.zip
Source102: httpasyncclient-cache-4.0-beta2-redhat-3.jar
Source103: httpasyncclient-cache-4.0-beta2-redhat-3-sources.jar
Source104: httpasyncclient-cache-4.0-beta2-redhat-3-javadoc.jar
Source105: httpasyncclient-cache-4.0-beta2-redhat-3.pom
Source106: httpcore-nio-4.2.5.redhat-3.pom
Source107: httpcore-nio-4.2.5.redhat-3-javadoc.jar
Source108: httpcore-nio-4.2.5.redhat-3-sources.jar
Source109: httpcore-nio-4.2.5.redhat-3.jar
Source110: httpcomponents-asyncclient-4.0-beta2-redhat-3-site.xml
Source111: httpcomponents-asyncclient-4.0-beta2-redhat-3.pom
Source112: httpcore-ab-4.2.5.redhat-3-javadoc.jar
Source113: httpcore-ab-4.2.5.redhat-3.pom
Source114: httpcore-ab-4.2.5.redhat-3.jar
Source115: httpcore-ab-4.2.5.redhat-3-sources.jar
Source116: httpcomponents-core-4.2.5.redhat-3.pom
Source117: httpasyncclient-osgi-4.0-beta2-redhat-3.pom
Source118: httpasyncclient-osgi-4.0-beta2-redhat-3-sources.jar
Source119: httpasyncclient-osgi-4.0-beta2-redhat-3.jar
Source120: httpclient-osgi-4.2.6.redhat-3.jar
Source121: httpclient-osgi-4.2.6.redhat-3-sources.jar
Source122: httpclient-osgi-4.2.6.redhat-3.pom
Source123: httpasyncclient-4.0-beta2-redhat-3-javadoc.jar
Source124: httpasyncclient-4.0-beta2-redhat-3-sources.jar
Source125: httpasyncclient-4.0-beta2-redhat-3.jar
Source126: httpasyncclient-4.0-beta2-redhat-3.pom
Source127: httpcomponents-client-4.2.6.redhat-3.pom
Source128: httpmime-4.2.6.redhat-3.pom
Source129: httpmime-4.2.6.redhat-3.jar
Source130: httpmime-4.2.6.redhat-3-sources.jar
Source131: httpmime-4.2.6.redhat-3-javadoc.jar
Source132: httpcore-osgi-4.2.5.redhat-3-sources.jar
Source133: httpcore-osgi-4.2.5.redhat-3.pom
Source134: httpcore-osgi-4.2.5.redhat-3.jar
Source135: fluent-hc-4.2.6.redhat-3-sources.jar
Source136: fluent-hc-4.2.6.redhat-3.jar
Source137: fluent-hc-4.2.6.redhat-3-javadoc.jar
Source138: fluent-hc-4.2.6.redhat-3.pom
Source139: project-7-redhat-3-javadoc.jar
Source140: project-7-redhat-3.pom
Source141: httpclient-cache-4.2.6.redhat-3.jar
Source142: httpclient-cache-4.2.6.redhat-3.pom
Source143: httpclient-cache-4.2.6.redhat-3-sources.jar
Source144: httpclient-cache-4.2.6.redhat-3-javadoc.jar
Source145: httpclient-4.2.6.redhat-3-sources.jar
Source146: httpclient-4.2.6.redhat-3.pom
Source147: httpclient-4.2.6.redhat-3.jar
Source148: httpclient-4.2.6.redhat-3-tests.jar
Source149: httpclient-4.2.6.redhat-3-javadoc.jar
Source150: httpcore-4.2.5.redhat-3-javadoc.jar
Source151: httpcore-4.2.5.redhat-3.jar
Source152: httpcore-4.2.5.redhat-3.pom
Source153: httpcore-4.2.5.redhat-3-sources.jar
%endif

URL:            http://hc.apache.org/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/httpcomponents-%{namedversion}-%{release}-root

%description
The Hyper-Text Transfer Protocol (HTTP) is perhaps the most significant protocol
used on the Internet today. Web services, network-enabled appliances and the
growth of network computing continue to expand the role of the HTTP protocol
beyond user-driven web browsers, while increasing the number of applications
that require HTTP support.

Designed for extension while providing robust support for the base HTTP
protocol, the HttpComponents may be of interest to anyone building HTTP-aware
client and server applications such as web browsers, web spiders, HTTP proxies,
web service transport libraries, or systems that leverage or extend the HTTP
protocol for distributed communication.

%package -n httpcomponents-project%{?eap}
Version:        %{projectversion}
Summary:        HttpComponents
Group:          Development/Java

%if 0
Obsoletes:      hc-project < %{epoch}:%{projectversion}-%{release}
Provides:       hc-project = %{epoch}:%{projectversion}-%{release}
%endif
Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description -n httpcomponents-project%{?eap}
Components to build HTTP enabled services.

%package -n httpcomponents-core%{?eap}
Version:        %{httpcoreversion}
Summary:        HttpComponents Core
Group:          Development/Java

%if 0
Obsoletes:      jakarta-httpcore < %{epoch}:%{httpcoreversion}-%{release}
Provides:       jakarta-httpcore = %{epoch}:%{httpcoreversion}-%{release}
Obsoletes:      hc-httpcore < %{epoch}:%{httpcoreversion}-%{release}
Provides:       hc-httpcore = %{epoch}:%{httpcoreversion}-%{release}
%endif
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-project%{?eap} = %{epoch}:%{projectversion}-%{release}

%description -n httpcomponents-core%{?eap}
Core components to build HTTP enabled services.

%package -n httpcore%{?eap}
Version:        %{httpcoreversion}
Summary:        HttpCore
Group:          Development/Java

%if 0
Obsoletes:      httpcomponents-httpcore < %{epoch}:%{httpcoreversion}-%{release}
Provides:       httpcomponents-httpcore = %{epoch}:%{httpcoreversion}-%{release}
%endif
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-core%{?eap} = %{epoch}:%{httpcoreversion}-%{release}

%description -n httpcore%{?eap}
HttpComponents Core (blocking I/O).

%package -n httpcore-ab%{?eap}
Version:        %{httpclientversion}
Summary:        HttpCore AB clone
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-core%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpcore%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
# FIXME: Requires commons-cli:commons-cli:1.2

%description -n httpcore-ab%{?eap}
AB clone based on HttpCore.

%package -n httpcore-nio%{?eap}
Version:        %{httpclientversion}
Summary:        HttpCore NIO
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-core%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpcore%{?eap} = %{epoch}:%{httpcoreversion}-%{release}

%description -n httpcore-nio%{?eap}
HttpComponents Core (non-blocking I/O).

%package -n httpcore-osgi%{?eap}
Version:        %{httpclientversion}
Summary:        HttpCore OSGi bundle
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-core%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpcore%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpcore-nio%{?eap} = %{epoch}:%{httpcoreversion}-%{release}

%description -n httpcore-osgi%{?eap}
HttpComponents Core (OSGi bundle).

%package -n httpcomponents-client%{?eap}
Version:        %{httpclientversion}
Summary:        HttpComponents Client
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-project%{?eap} = %{epoch}:%{projectversion}-%{release}

%description -n httpcomponents-client%{?eap}
Apache HttpComponents Client is a library of components for building client side
HTTP services.

%package -n httpclient%{?eap}
Version:        %{httpclientversion}
Summary:        HttpClient
Group:          Development/Java

%if 0
Obsoletes:      hc-httpclient < %{epoch}:%{httpclientversion}-%{release}
Provides:       hc-httpclient = %{epoch}:%{httpclientversion}-%{release}
Obsoletes:      httpcomponents-httpclient < %{epoch}:%{httpclientversion}-%{release}
Provides:       httpcomponents-httpclient = %{epoch}:%{httpclientversion}-%{release}
%endif
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client%{?eap} = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpcore%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
# FIXME: Requires commons-codec:commons-codec:1.6
# FIXME: Requires commons-logging:commons-logging:1.1.1

%description -n httpclient%{?eap}
HttpComponents Client (base module).

%package -n httpclient-cache%{?eap}
Version:        %{httpclientversion}
Summary:        HttpClient Cache
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client%{?eap} = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpclient%{?eap} = %{epoch}:%{httpclientversion}-%{release}
# FIXME: Requires commons-logging:commons-logging:1.1.1

%description -n httpclient-cache%{?eap}
HttpComponents HttpClient - Cache.

%package -n httpclient-osgi%{?eap}
Version:        %{httpclientversion}
Summary:        HttpClient OSGi bundle
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client%{?eap} = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpclient%{?eap} = %{epoch}:%{httpclientversion}-%{release}
# FIXME: Requires commons-codec:commons-codec:1.6
Requires:       httpmime%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpclient-cache%{?eap} = %{epoch}:%{httpclientversion}-%{release}
Requires:       fluent-hc%{?eap} = %{epoch}:%{httpclientversion}-%{release}

%description -n httpclient-osgi%{?eap}
HttpComponents Client (OSGi bundle).

%package -n httpclient-tests%{?eap}
Version:        %{httpclientversion}
Summary:        HttpClient tests
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client%{?eap} = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpclient%{?eap} = %{epoch}:%{httpclientversion}-%{release}

%description -n httpclient-tests%{?eap}
HttpClient tests.

%package -n fluent-hc%{?eap}
Version:        %{httpclientversion}
Summary:        Fluent HttpClient
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client%{?eap} = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpclient%{?eap} = %{epoch}:%{httpclientversion}-%{release}
# FIXME: Requires commons-logging:commons-logging:1.1.1

%description -n fluent-hc%{?eap}
HttpComponents Client fluent API.

%package -n httpmime%{?eap}
Summary:        HttpMime
Version:        %{httpclientversion}
Group:          Development/Java

%if 0
Obsoletes:      httpcomponents-httpmime < %{epoch}:%{httpcoreversion}-%{release}
Provides:       httpcomponents-httpmime = %{epoch}:%{httpcoreversion}-%{release}
%endif
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client%{?eap} = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpcore%{?eap} = %{epoch}:%{httpcoreversion}-%{release}

%description -n httpmime%{?eap}
HttpComponents HttpClient - MIME coded entities.

%package -n httpcomponents-asyncclient%{?eap}
Version:        %{httpasyncclientversion}
Release:        %{httpasyncclientrelease}
Summary:        HttpComponents AsyncClient
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-project%{?eap} = %{epoch}:%{projectversion}-%{release}

%description -n httpcomponents-asyncclient%{?eap}
Components to build asynchronous client side HTTP services.

%package -n httpasyncclient%{?eap}
Version:        %{httpasyncclientversion}
Release:        %{httpasyncclientrelease}
Summary:        HttpAsyncClient
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
# XXX: 4.0-beta1
Requires:       httpcomponents-asyncclient%{?eap} = %{epoch}:%{httpasyncclientversion}-%{httpasyncclientrelease}
Requires:       httpcore%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpcore-nio%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpclient%{?eap} = %{epoch}:%{httpclientversion}-%{release}
# FIXME: Requires commons-logging:commons-logging:1.1.1

%description -n httpasyncclient%{?eap}
HttpComponents AsyncClient (base module).

%package -n httpasyncclient-osgi%{?eap}
Version:        %{httpasyncclientversion}
Release:        %{httpasyncclientrelease}
Summary:        HttpAsyncClient OSGi bundle
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
# XXX: 4.0-beta1
Requires:       httpcomponents-asyncclient%{?eap} = %{epoch}:%{httpasyncclientversion}-%{httpasyncclientrelease}
Requires:       httpasyncclient%{?eap} = %{epoch}:%{httpasyncclientversion}-%{httpasyncclientrelease}

%description -n httpasyncclient-osgi%{?eap}
HttpComponents AsyncClient (OSGi bundle).

%prep
%setup -q -n httpcomponents -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{javadir}
%{__cp} -p %{_sourcedir}/httpcore-%{httpcorenamedversion}.jar %{buildroot}%{javadir}/httpcore-%{httpcorenamedversion}.jar
%{__cp} -p %{_sourcedir}/httpcore-%{httpcorenamedversion}-sources.jar %{buildroot}%{javadir}/httpcore-%{httpcorenamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpcore-ab-%{httpcorenamedversion}.jar %{buildroot}%{javadir}/httpcore-ab-%{httpcorenamedversion}.jar
%{__cp} -p %{_sourcedir}/httpcore-ab-%{httpcorenamedversion}-sources.jar %{buildroot}%{javadir}/httpcore-ab-%{httpcorenamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpcore-nio-%{httpcorenamedversion}.jar %{buildroot}%{javadir}/httpcore-nio-%{httpcorenamedversion}.jar
%{__cp} -p %{_sourcedir}/httpcore-nio-%{httpcorenamedversion}-sources.jar %{buildroot}%{javadir}/httpcore-nio-%{httpcorenamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpcore-osgi-%{httpcorenamedversion}.jar %{buildroot}%{javadir}/httpcore-osgi-%{httpcorenamedversion}.jar
%{__cp} -p %{_sourcedir}/httpcore-osgi-%{httpcorenamedversion}-sources.jar %{buildroot}%{javadir}/httpcore-osgi-%{httpcorenamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpclient-%{httpclientnamedversion}.jar %{buildroot}%{javadir}/httpclient-%{httpclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpclient-%{httpclientnamedversion}-sources.jar %{buildroot}%{javadir}/httpclient-%{httpclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpclient-%{httpclientnamedversion}-tests.jar %{buildroot}%{javadir}/httpclient-%{httpclientnamedversion}-tests.jar
%{__cp} -p %{_sourcedir}/httpclient-cache-%{httpclientnamedversion}.jar %{buildroot}%{javadir}/httpclient-cache-%{httpclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpclient-cache-%{httpclientnamedversion}-sources.jar %{buildroot}%{javadir}/httpclient-cache-%{httpclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpclient-osgi-%{httpclientnamedversion}.jar %{buildroot}%{javadir}/httpclient-osgi-%{httpclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpclient-osgi-%{httpclientnamedversion}-sources.jar %{buildroot}%{javadir}/httpclient-osgi-%{httpclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/fluent-hc-%{httpclientnamedversion}.jar %{buildroot}%{javadir}/fluent-hc-%{httpclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/fluent-hc-%{httpclientnamedversion}-sources.jar %{buildroot}%{javadir}/fluent-hc-%{httpclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpmime-%{httpclientnamedversion}.jar %{buildroot}%{javadir}/httpmime-%{httpclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpmime-%{httpclientnamedversion}-sources.jar %{buildroot}%{javadir}/httpmime-%{httpclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpcomponents-asyncclient-%{httpasyncclientnamedversion}-site.xml %{buildroot}%{javadir}/httpcomponents-asyncclient-%{httpasyncclientnamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpasyncclient-%{httpasyncclientnamedversion}.jar %{buildroot}%{javadir}/httpasyncclient-%{httpasyncclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpasyncclient-%{httpasyncclientnamedversion}-sources.jar %{buildroot}%{javadir}/httpasyncclient-%{httpasyncclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}.jar %{buildroot}%{javadir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}-sources.jar %{buildroot}%{javadir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}-sources.jar
(cd %{buildroot}%{javadir} && for jar in *-%{httpcorenamedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{httpcorenamedversion}||g"`; done)
[ "%{httpcorenamedversion}" = "%{httpclientnamedversion}" ] || (cd %{buildroot}%{javadir} && for jar in *-%{httpclientnamedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{httpclientnamedversion}||g"`; done)
[ "%{httpcorenamedversion}" = "%{httpasyncclientnamedversion}" ] || (cd %{buildroot}%{javadir} && for jar in *-%{httpasyncclientnamedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{httpasyncclientnamedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files -n httpcomponents-project%{?eap}
%defattr(0644,root,root,0755)
%doc project/KEYS project/LICENSE.txt project/NOTICE.txt project/jakarta-httpcomponents-charter.txt
%dir %{_javadir}/httpcomponents%{?eap}

%files -n httpcomponents-core%{?eap}
%defattr(0644,root,root,0755)

%files -n httpcore%{?eap}
%defattr(0644,root,root,0755)
%doc httpcore/BUILDING.txt httpcore/LICENSE.txt httpcore/NOTICE.txt httpcore/README.txt httpcore/RELEASE_NOTES.txt
%{javadir}/httpcore-%{httpcorenamedversion}.jar
%{javadir}/httpcore.jar
%{javadir}/httpcore-%{httpcorenamedversion}-sources.jar
%{javadir}/httpcore-sources.jar

%files -n httpcore-ab%{?eap}
%defattr(0644,root,root,0755)
%{javadir}/httpcore-ab-%{httpcorenamedversion}.jar
%{javadir}/httpcore-ab.jar
%{javadir}/httpcore-ab-%{httpcorenamedversion}-sources.jar
%{javadir}/httpcore-ab-sources.jar

%files -n httpcore-nio%{?eap}
%defattr(0644,root,root,0755)
%{javadir}/httpcore-nio-%{httpcorenamedversion}.jar
%{javadir}/httpcore-nio.jar
%{javadir}/httpcore-nio-%{httpcorenamedversion}-sources.jar
%{javadir}/httpcore-nio-sources.jar

%files -n httpcore-osgi%{?eap}
%defattr(0644,root,root,0755)
%{javadir}/httpcore-osgi-%{httpcorenamedversion}.jar
%{javadir}/httpcore-osgi.jar
%{javadir}/httpcore-osgi-%{httpcorenamedversion}-sources.jar
%{javadir}/httpcore-osgi-sources.jar

%files -n httpcomponents-client%{?eap}
%defattr(0644,root,root,0755)

%files -n httpclient%{?eap}
%defattr(0644,root,root,0755)
%doc httpclient/BUILDING.txt httpclient/LICENSE.txt httpclient/NOTICE.txt httpclient/README.txt httpclient/RELEASE_NOTES.txt
%{javadir}/httpclient-%{httpclientnamedversion}.jar
%{javadir}/httpclient.jar
%{javadir}/httpclient-%{httpclientnamedversion}-sources.jar
%{javadir}/httpclient-sources.jar
%exclude %{javadir}/httpclient-%{httpclientnamedversion}-tests.jar
%exclude %{javadir}/httpclient-tests.jar

%files -n httpclient-cache%{?eap}
%defattr(0644,root,root,0755)
%{javadir}/httpclient-cache-%{httpclientnamedversion}.jar
%{javadir}/httpclient-cache.jar
%{javadir}/httpclient-cache-%{httpclientnamedversion}-sources.jar
%{javadir}/httpclient-cache-sources.jar

%files -n httpclient-osgi%{?eap}
%defattr(0644,root,root,0755)
%{javadir}/httpclient-osgi-%{httpclientnamedversion}.jar
%{javadir}/httpclient-osgi.jar
%{javadir}/httpclient-osgi-%{httpclientnamedversion}-sources.jar
%{javadir}/httpclient-osgi-sources.jar

%files -n httpclient-tests%{?eap}
%defattr(0644,root,root,0755)
%{javadir}/httpclient-%{httpclientnamedversion}-tests.jar
%{javadir}/httpclient-tests.jar

%files -n fluent-hc%{?eap}
%defattr(0644,root,root,0755)
%{javadir}/fluent-hc-%{httpclientnamedversion}.jar
%{javadir}/fluent-hc.jar
%{javadir}/fluent-hc-%{httpclientnamedversion}-sources.jar
%{javadir}/fluent-hc-sources.jar

%files -n httpmime%{?eap}
%defattr(0644,root,root,0755)
%{javadir}/httpmime-%{httpclientnamedversion}.jar
%{javadir}/httpmime.jar
%{javadir}/httpmime-%{httpclientnamedversion}-sources.jar
%{javadir}/httpmime-sources.jar

%files -n httpcomponents-asyncclient%{?eap}
%defattr(0644,root,root,0755)
%{javadir}/httpcomponents-asyncclient-%{httpasyncclientnamedversion}-site.xml
%{javadir}/httpcomponents-asyncclient-site.xml

%files -n httpasyncclient%{?eap}
%defattr(0644,root,root,0755)
%doc httpasyncclient/BUILDING.txt httpasyncclient/LICENSE.txt httpasyncclient/NOTICE.txt httpasyncclient/README.txt httpasyncclient/RELEASE_NOTES.txt
%{javadir}/httpasyncclient-%{httpasyncclientnamedversion}.jar
%{javadir}/httpasyncclient.jar
%{javadir}/httpasyncclient-%{httpasyncclientnamedversion}-sources.jar
%{javadir}/httpasyncclient-sources.jar

%files -n httpasyncclient-osgi%{?eap}
%defattr(0644,root,root,0755)
%{javadir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}.jar
%{javadir}/httpasyncclient-osgi.jar
%{javadir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}-sources.jar
%{javadir}/httpasyncclient-osgi-sources.jar

%changelog
* Wed Aug 27 2014 David Walluck <dwalluck@redhat.com> - 7-4.redhat_3.1
- remove maven support
- fix dir ownership

* Wed Aug 20 2014 David Walluck <dwalluck@redhat.com> - 7-3.redhat_3.1
- fix setup
- add doc

* Wed Aug 20 2014 Wei Nan Li <weli@redhat.com> - 7-2.redhat_2.1
- Add CVE-2014-3577-httpcomponents-httpclient-4.2.6-redhat-1.patch

* Wed Aug 13 2014 David Walluck <dwalluck@redhat.com> - 7-1.redhat_1.1
- build rpms

* Thu May 15 2014 David Walluck <dwalluck@redhat.com> - 6-10.redhat_1.3
- Bump release tag

* Wed May 14 2014 David Walluck <dwalluck@redhat.com> - 6-1.redhat_1.3
- release
